1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

TA-082 psp question

Discussion in 'Sony PSP - Mod and firmware discussion' started by ruffyruff, Feb 12, 2007.

  1. ruffyruff

    ruffyruff Member

    Joined:
    Dec 6, 2006
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    11
    Hi,

    I have a TA-082 2.6 firmware and i was able to downgrade to 1.5 then up to 3.01 OE-B when it was released

    My question is, would it be safe for me to upgrade to 3.10 OE or 3.03 OE?

    Thanks
     
  2. REAM

    REAM Guest

    yep will be, apart from the chance of bricking, but i guess youve conqurered that fear already.
     
  3. ruffyruff

    ruffyruff Member

    Joined:
    Dec 6, 2006
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    11
    it scared the poopoo out of me when i was downgrading when it was recently introduced

    and those weird screens that look a long time to go, afraid of pressing the wrong button... OMG
     
  4. djmazz

    djmazz Regular member

    Joined:
    Dec 18, 2006
    Messages:
    647
    Likes Received:
    0
    Trophy Points:
    26
    once youve got a ta-082 psp on custom fw is it just like a non ta-082 or is there limits? like font,gameboots, etc....
     
  5. ruffyruff

    ruffyruff Member

    Joined:
    Dec 6, 2006
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    11
    i tried 2.71 OE and 3.01 OE

    i saw somewhere that we should not try on 3.10 oe?
     
  6. smartdude

    smartdude Member

    Joined:
    Jan 25, 2007
    Messages:
    16
    Likes Received:
    0
    Trophy Points:
    11
    I got a TA-082 PSP with FW 2.71 for x-mas. I used the Dark Alex's downgrader to make it 1.5. Then I upgraded to 3.02 OE-B, then 3.03 OE-A, and I am currently running 3.10 OE-A'. I have had no problems with up grading. I was pretty nervous about downgrading too especially since it was brand new, but I feel pretty good about Dark Alex's work and feel that he would let the TA-082 users know if there was some kind of problem with one of his releases.

    I recommend the 3.10 OE-A especially if you are playing PS1 games, because there are advanced options for the system control features. For example, there is the option to switch controller ports (1 or 2) which is useful for fighting Mantis in MGS.

    My point is it worked for me, and the additional features offered with 3.10 FW was worth the risk for me.
     
    Last edited: Feb 12, 2007
  7. ruffyruff

    ruffyruff Member

    Joined:
    Dec 6, 2006
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    11
    there are some games that require 3.03 and up.. so that's why I need to upgrade....

    i didnt want to since 3.01 was working soooo great!
     

Share This Page